<?php

declare(strict_types=1);

namespace DigiComp\PhpCodesniffer\DigiComp\Sniffs\ClassNames;

/**
 * Class MissingInterfaceSuffixSniff checks if the class name of an interface ends with interface.
 */
class MissingInterfaceSuffixSniff extends AbstractMissingSuffixSniff
{
    public const CODE_MISSING_INTERFACE_SUFFIX = 'MissingInterfaceSuffix';

    /**
     * @return int[]
     */
    public function register(): array
    {
        return [\T_INTERFACE];
    }

    /**
     * {@inheritDoc}
     */
    protected function getSuffix(): string
    {
        return 'interface';
    }

    /**
     * {@inheritDoc}
     */
    protected function getErrorCode(): string
    {
        return self::CODE_MISSING_INTERFACE_SUFFIX;
    }
}
